/**
 * Copyright © 2012-2024 by Data Virtuality GmbH
 */
package org.teiid.query.sql.lang;

import org.teiid.query.sql.LanguageVisitor;
import org.teiid.query.sql.function.CreateFunctionCommand;

/**
 * @author Mate Simovic
 * @date 2024.06.07
 */
public class AlterFunction extends Alter<CreateFunctionCommand> {
	
	@Override
	public void acceptVisitor(LanguageVisitor visitor) {
		visitor.visit(this);
	}
	
	@Override
	public AlterFunction clone() {
		AlterFunction clone = new AlterFunction();
		this.cloneOnTo(clone);
		return clone;
	}
	
	@Override
	public int getType() {
		return TYPE_ALTER_FUNCTION;
	}
}
